## libsoup2.4 2.64.2

=== meson_options.txt ===
option('gssapi',
  type : 'boolean',
  value : true,
  description : 'Build with GSSAPI support'
)

option('krb5_config',
  type : 'string',
  value : '',
  description : 'Where to look for krb5-config, path points to krb5-config installation (defaultly looking in PATH)'
)

option('ntlm',
  type : 'boolean',
  value : false,
  description : 'Build with NTLM support'
)

option('ntlm_auth',
  type : 'string',
  value : 'ntlm_auth',
  description : 'Where to look for ntlm_auth, path points to ntlm_auth installation (defaultly looking in PATH)'
)

option('tls_check',
  type : 'boolean',
  value : true,
  description : 'Enable TLS support through glib-networking. If you are building a package, you can disable this to allow building libsoup anyway (since glib-networking is not actually required at compile time), but you should be sure to add a runtime dependency on it.'
)

option('gnome',
  type : 'boolean',
  value : true,
  description : 'Build libsoup with GNOME support'
)

option('introspection',
  type : 'boolean',
  value : true,
  description : 'Build GObject Introspection data'
)

option('vapi',
  type : 'boolean',
  value : false,
  description : 'Build Vala bindings'
)

option('doc',
  type: 'boolean',
  value: false,
  description: 'Enable generating the API reference'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests compilation'
)

## libsoup2.4 2.26.3-0maemo4

=== debian/changelog ===
libsoup2.4 (2.26.3-0maemo4) unstable; urgency=low

  * Adapting libsoup2.4 for Maemo 4 (Diablo). All tests passing on Fremantle pass.
  * Backported several features from GLib 2.16, namely hash handling, GChecksum, 
    GCancellable and g_once_* thread handling routines.
  * Changed 64bit int formats in Content-Length and Content-Range to fix some tests 
    (and get Content-Length different than zero).

 -- Bundyo <bundyo@gmail.com>  Sun, 23 May 2010 23:45:34 +0200

libsoup2.4 (2.26.3-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Fri, 11 Dec 2009 13:26:34 +0200

libsoup2.4 (2.26.3-0maemo3) unstable; urgency=low

  * Fixes: NB#124849 - souphttpsrc does not pay attention to timeout property
  * Fix some leaks in error cases with soup multipart message.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 26 Nov 2009 14:59:42 +0200

libsoup2.4 (2.26.3-0maemo2) unstable; urgency=low

  * Fixes: NB#135697 - Random telepathy-stream-engine crash observed while in a SIP call
  * Keep reference on SoupSocket while emitting signals.

 -- Maemo Multimedia <multimedia@maemo.org>  Fri, 13 Nov 2009 17:11:08 +0200

libsoup2.4 (2.26.3-0maemo1) unstable; urgency=low

  * Update to new upstream release.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 14 Sep 2009 16:25:51 +0300

libsoup2.4 (2.24.3-2maemo1) unstable; urgency=low

  Adapted to Maemo.
  
  * Removed dependency on GnuTLS.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 30 Mar 2009 16:49:56 +0300

libsoup2.4 (2.24.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 17 Feb 2009 15:13:27 -0300

libsoup2.4 (2.24.3-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Jan 2009 09:25:05 +0100

libsoup2.4 (2.24.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Nov 2008 20:39:30 +0100

libsoup2.4 (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/libsoup2.4-doc.doc-base: fix section.

  [ Andreas Henriksson ]
  * New upstream release.
    - drop patches/01_default-auth-digest-algorithm.patch, applied upstream.

  [ Josselin Mouette ]
  * Make the dependency on libglib2.0-dev match the build-dependency.
  * Bump shlibs to 2.23.91.
  * Fix spelling of GTK+ in the descriptions.

 -- Josselin Mouette <joss@debian.org>  Sun, 16 Nov 2008 18:38:32 +0100

libsoup2.4 (2.4.1-2) unstable; urgency=low

  * debian/patches/01_default-auth-digest-algorithm.patch:
    + Patch from upstream SVN to use MD5 as default auth digest algorithm
      if the server doesn't provide one.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 01 Aug 2008 11:29:21 +0200

libsoup2.4 (2.4.1-1) unstable; urgency=low

  * New upstream release with API additions:
    + debian/rules:
      - Bump shlibs to >= 2.4.1.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 19:27:18 +0200

libsoup2.4 (2.4.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Remove check-dist include, upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:18:07 +0100

libsoup2.4 (2.3.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libsoup2.4-doc.doc-base:
    + Use libsoup-2.4 as document name to not conflict with libsoup-2.2-doc
      anymore.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 07:02:14 +0100

libsoup2.4 (2.3.2-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs to >= 2.3.2.
    + debian/control.in,
      debian/libsoup2.4-doc.doc-base:
      - Replace libsoup2.2-doc (<< 2.2.105) as 2.2.105 and above are
        installable at the same time. Also adjust documentation path.
    + debian/control.in,
      debian/libsoup2.4-1.install:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 06:44:04 +0100

libsoup2.4 (2.3.0.1-1) experimental; urgency=low

  * Mention Red Hat, Novell, and Ximian copyrights and copyright years in the
    copyright file; fix LGPL version number to be version 2 instead of version
    2 or later; thanks Martin Pitt; drop useless individual authors
    information (not holding copyright).
  * Set GNOME_MODULE to libsoup.
  * New upstream release; API additions.
    - Bump shlibs to >= 2.3.0.

 -- Loic Minier <lool@dooz.org>  Fri, 25 Jan 2008 13:33:56 +0100

libsoup2.4 (2.3.0~r1050-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Renamed source package to libsoup2.4, changed all binary package names and
    updated everything for libsoup 2.3.
  * Upload to experimental, add check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 12:22:43 +0100

libsoup (2.2.104-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:47:12 +0100

libsoup (2.2.103-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes memory corruption in SoupSessionAsync that caused
      rhythmbox to crash (Closes: #446288).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 28 Oct 2007 21:35:22 +0100

libsoup (2.2.102-1) unstable; urgency=low

  * New upstream release; no API change; fixes non-SSL build, Debian not
    affected.
  * Wrap build-deps and deps.
  * Don't override DEB_SHLIBDEPS_INCLUDE_libsoup2.2-dev and
    DEB_DH_MAKESHLIBS_ARGS_ALL completely.

 -- Loic Minier <lool@dooz.org>  Fri, 19 Oct 2007 11:38:44 +0200

libsoup (2.2.101-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless upstream version computation.
  * Use full URL in copyright.
  * Don't include autotools.mk as it's already included by gnome.mk.

  [ Sebastian Dröge ]
  * New upstream release with no API changes:


=== debian/control ===
Source: libsoup2.4
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               libglib2.0-dev (>= 2.12.0),
               libgio-dev,
               libxml2-dev,
               cdbs,
               gtk-doc-tools,
               libgnutls-dev,
               dpkg-dev (>= 1.13.19)
Build-Conflicts: libgnutls11-dev
Standards-Version: 3.8.0

Package: libsoup2.4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsoup2.4-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.12.0),
         libgio-dev,
         libgnutls-dev,
         libxml2-dev,
Conflicts: libgnutls11-dev
Suggests: libsoup2.4-doc
Description: an HTTP library implementation in C -- Development files
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the development files.

Package: libsoup2.4-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: an HTTP library implementation in C -- Shared library
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications.  This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the shared library.

Package: libsoup2.4-1-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libsoup2.4-1 (= ${binary:Version})
Description: an HTTP library implementation in C -- Shared library
 This package contains debug symbols.

Package: libsoup2.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libsoup2.4-dev
Replaces: libsoup2.2-doc (<< 2.2.105)
Description: an HTTP library implementation in C -- API Reference
 It was originally part of a SOAP (Simple Object Access Protocol)
 implementation called Soup, but the SOAP and non-SOAP parts have now been
 split into separate packages.
 .
 libsoup uses the Glib main loop and is designed to work well with GTK+
 applications. This enables GNOME applications to access HTTP servers
 on the network in a completely asynchronous fashion, very similar to
 the GTK+ programming model (a synchronous operation mode is also
 supported for those who want it).
 .
 Features:
  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
  * Automatically caches connections
  * SSL Support using GnuTLS [disabled on Maemo]
  * Proxy support, including authentication and SSL tunneling
  * Client support for Digest, NTLM, and Basic authentication
  * Server support for Digest and Basic authentication
  * Basic client-side SOAP and XML-RPC support
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/simple-patchsys.mk

ifeq ($(wildcard configure.in),configure.in)
SOUP_CURRENT := $(shell grep '^SOUP_CURRENT=' configure.in | sed -e 's/SOUP_CURRENT=//g')
SOUP_AGE := $(shell grep '^SOUP_AGE=' configure.in | sed -e 's/SOUP_AGE=//g')
SOUP_SOVERSION := $(shell expr $(SOUP_CURRENT) - $(SOUP_AGE))
endif

SHLIBS := libsoup2.4-${SOUP_SOVERSION} (>= 2.23.91)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
#include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
#-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libsoup

DEB_SHLIBDEPS_INCLUDE_libsoup2.4-dev += debian/libsoup2.4-${SOUP_SOVERSION}/usr/lib
DEB_DH_MAKESHLIBS_ARGS_ALL += -V'$(SHLIBS)'
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc --without-gnome

debian/stamp-autogen:
	NOCONFIGURE=1 ./autogen.sh --enable-gtk-doc --without-gnome
	touch $@

makebuilddir/libsoup2.4-1:: debian/stamp-autogen

ORIGIN_REF := maemo-debian
PATCHES_REF := maemo-patches

update-patch-series:
	mkdir -p debian/patches
	rm -f debian/patches/*.patch
	git format-patch -N -o debian/patches $(PATCHES_REF) ^$(ORIGIN_REF) | \
	        xargs -n 1 basename > debian/patches/series
	for patch in debian/patches/*.patch; do \
		lines=$$(cat $$patch | wc -l) ; \
		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
		mv $${patch}.chomped $$patch ; \
	done
	git ls-files --modified --others -z debian/patches/*.patch debian/patches/series | \
		git update-index --add --remove -z --stdin

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libsoup/([\d\.]+)[02468]/ libsoup-(.*)\.tar\.gz debian uupdate

## libsoup2.4 2.30.2

=== debian/changelog ===
libsoup2.4 (2.30.2-1+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix directory traversal vulnerability through crafted HTTP requests
    (CVE-2011-2524; Closes: #635837)

 -- Nico Golde <nion@debian.org>  Wed, 21 Dec 2011 19:36:22 +0000

libsoup2.4 (2.30.2-1) unstable; urgency=low

  * New upstream release.
  * 01_disable_tls1.2.patch: stolen from git master. Disable TLS 1.2 and 
    use SSL 3.0 instead. Closes: #576339.
  * libsoup2.4-1.symbols: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Fri, 02 Jul 2010 19:25:29 +0200

libsoup2.4 (2.30.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Make test suite errors fatal for the build.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Updated for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 09:30:37 +0200

libsoup2.4 (2.30.0-1) unstable; urgency=low

  [ David Weinehall ]
  * New upstream release.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Fix SOVERSION calculation.
    - Don't pass additional flags to dh_shlibdeps for the -dev packages.
      That's just wrong, but luckily they weren't depending on
      ${shlibs:Depends} so it had no effect.
    - Enable the test suite during the build, but don't make it fatal yet.
  * debian/control.in:
    - Build dep on shared-mime-info, needed for one test to pass.
    - Reorder build-deps a bit.

 -- David Weinehall <tao@debian.org>  Tue, 30 Mar 2010 01:13:16 +0300

libsoup2.4 (2.29.91-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Feb 2010 10:33:41 +0100

libsoup2.4 (2.29.90-1) unstable; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libsoup2.4-1.symbols:
      - Update for new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Feb 2010 16:55:02 +0100

libsoup2.4 (2.29.6-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 08:17:46 +0100

libsoup2.4 (2.29.5-2) unstable; urgency=low

  * debian/libsoup*.symbols:
    + Fix symbol files.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 10:23:15 +0100

libsoup2.4 (2.29.5-1) unstable; urgency=low

  * New upstream development release (Closes: #564698):
    + debian/rules:
      - Update SHVER to 2.29.5 for new API.
    + debian/rules,
      debian/libsoup*.symbols:
      - Add symbol files.
    + debian/rules:
      - Remove check-dist.mk include to upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 09:45:56 +0100

libsoup2.4 (2.29.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
      - Update SHVER to 2.29.3 for new API.
    + debian/patches/redirect_head.patch,
      debian/patches/sqlite_strcmp_null_string.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Dec 2009 16:23:28 +0100

libsoup2.4 (2.28.1-3) unstable; urgency=low

  * debian/patches/redirect_head.patch:
    - Added. Don't change HEAD to GET on 303 redirect (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 07 Nov 2009 15:04:26 +0000

libsoup2.4 (2.28.1-2) unstable; urgency=low

  * debian/patches/sqlite_strcmp_null_string.patch:
    - Backport change from git to fix a crash if some values in the sqlite
      database are null.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 16:54:59 +0200

libsoup2.4 (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update gnutls build dependency to >= 2.1.7.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 07:49:51 +0200

libsoup2.4 (2.28.0-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/patches/01_improve_cookies_performance.patch:
  - patch from upstream to avoid writing too much to the disk when
    handling cookies (Closes: #530964)

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/01_improve_cookies_performance.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Sep 2009 10:15:44 +0200

libsoup2.4 (2.27.92-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Bump shver as there are new APIs.
  * Tighten libsoup-gnome2.4-dev dependency on libsoup2.4-dev to avoid issues
    if something is built with different libsoup2.4 and libsoup-gnome2.4
    versions.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules:
      - Update SHVER to 2.27.92.
  * debian/control.in:
    + Standards-Version is 3.8.3, no changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2009 07:35:23 +0200

libsoup2.4 (2.27.91-2) experimental; urgency=low

  * debian/control.in:
  - add missing Build-Dep on libgnome-keyring-dev (Closes: #543556)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Aug 2009 11:02:06 -0300

libsoup2.4 (2.27.91-1) experimental; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Aug 2009 20:53:20 -0300

libsoup2.4 (2.27.90-1) experimental; urgency=low

  * New upstream release.
    - Build depend on glib 2.21.3.
    - Also bump the -dev package minimun glib dependency.
  * Standards-Version is 3.8.2, no changes needed.
  * Add Vcs-* fields.
  * Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 12 Aug 2009 22:29:48 +0200

libsoup2.4 (2.27.4-1) unstable; urgency=low

  * New upstream release
  - debian/patches/001_avoid_crash_on_msg_cancel.diff:
  - dropped; applied upstream



=== debian/control ===
--- 
+++ 
@@ -1,28 +1,40 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: libsoup2.4
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: 
+Uploaders: David Weinehall <tao@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
-               libglib2.0-dev (>= 2.12.0),
-               libgio-dev,
+               dpkg-dev (>= 1.13.19),
+               cdbs,
+               gnome-pkg-tools,
+               libgconf2-dev,
+               libglib2.0-dev (>= 2.21.3),
+               libgnome-keyring-dev,
+               libgnutls-dev (>= 2.1.7),
+               libproxy-dev,
+               libsqlite3-dev,
                libxml2-dev,
-               cdbs,
                gtk-doc-tools,
-               libgnutls-dev,
-               dpkg-dev (>= 1.13.19)
+               shared-mime-info
+Build-Depends-Indep: libglib2.0-doc
 Build-Conflicts: libgnutls11-dev
-Standards-Version: 3.8.0
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
+Standards-Version: 3.8.4
 
 Package: libsoup2.4-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.12.0),
-         libgio-dev,
-         libgnutls-dev,
+         libglib2.0-dev (>= 2.21.3),
          libxml2-dev,
+         libgnutls-dev (>= 2.1.7)
 Conflicts: libgnutls11-dev
 Suggests: libsoup2.4-doc
 Description: an HTTP library implementation in C -- Development files
@@ -39,7 +51,7 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
@@ -66,7 +78,7 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
@@ -74,13 +86,97 @@
  .
  This package contains the shared library.
 
-Package: libsoup2.4-1-dbg
-Section: devel
+Package: libsoup2.4-dbg
+Section: debug
 Priority: extra
 Architecture: any
-Depends: libsoup2.4-1 (= ${binary:Version})
-Description: an HTTP library implementation in C -- Shared library
- This package contains debug symbols.
+Depends: libsoup2.4-1 (= ${binary:Version}),
+         ${misc:Depends}
+Description: an HTTP library implementation in C -- debugging symbols
+ It was originally part of a SOAP (Simple Object Access Protocol).
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications.  This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS.
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the debugging symbols.
+
+Package: libsoup-gnome2.4-1
+Section: libs
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: an HTTP library implementation in C -- GNOME support library
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications.  This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ The GNOME support library is used for features which are important to
+ GNOME apps, but which require GNOME-specific libraries that non-GNOME
+ apps may not want to add dependencies on.
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the GNOME support shared library.
+
+Package: libsoup-gnome2.4-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+         libsoup-gnome2.4-1 (= ${binary:Version}),
+         libsoup2.4-dev (= ${binary:Version})
+Suggests: libsoup2.4-doc
+Description: an HTTP library implementation in C -- GNOME support development files
+ It was originally part of a SOAP (Simple Object Access Protocol)
+ implementation called Soup, but the SOAP and non-SOAP parts have now been
+ split into separate packages.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications. This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the Gtk+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ The GNOME support library is used for features which are important to
+ GNOME apps, but which require GNOME-specific libraries that non-GNOME
+ apps may not want to add dependencies on.
+ .
+ Features:
+  * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
+  * Automatically caches connections
+  * SSL Support using GnuTLS
+  * Proxy support, including authentication and SSL tunneling
+  * Client support for Digest, NTLM, and Basic authentication
+  * Server support for Digest and Basic authentication
+  * Basic client-side SOAP and XML-RPC support
+ .
+ This package contains the development files for the GNOME support.
 
 Package: libsoup2.4-doc
 Section: doc
@@ -102,11 +198,10 @@
  Features:
   * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
   * Automatically caches connections
-  * SSL Support using GnuTLS [disabled on Maemo]
+  * SSL Support using GnuTLS
   * Proxy support, including authentication and SSL tunneling
   * Client support for Digest, NTLM, and Basic authentication
   * Server support for Digest and Basic authentication
   * Basic client-side SOAP and XML-RPC support
  .
  This package contains the documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

libsoup2.4-N := $(shell sed -nr 's/^Package:[[:space:]]*(libsoup2.4-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
libsoup-gnome2.4-N := $(shell sed -nr 's/^Package:[[:space:]]*(libsoup-gnome2.4-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

SHVER := 2.30.1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libsoup

DEB_DH_MAKESHLIBS_ARGS_libsoup2.4-1 += -V'$(libsoup2.4-N) (>= $(SHVER))' -- -c4
DEB_DH_MAKESHLIBS_ARGS_libsoup-gnome2.4-1 += -V'$(libsoup-gnome2.4-N) (>= $(SHVER))' -- -c4

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
DEB_MAKE_CHECK_TARGET = check

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libsoup/([\d\.]+)[02468]/ libsoup-(.*)\.tar\.gz

## libsoup2.4 2.31.92

=== debian/changelog ===
libsoup2.4 (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Percent-encoded characters in URIs are no longer
      automatically normalized to uppercase, since apparently some
      servers are stupid. (Sergio Villar Senin)
    - Fixed a crash when resolving a URI containing both spaces
      and non-UTF8 8bit characters. (LP: #624896)
  * add debian/patches/89_revert_new_gi.patch:
    - don't use new gir for maverick
  * add debian/patches/90_autoreconf.patch to take previous patch into account

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 23:29:17 +0200

libsoup2.4 (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/libsoup2.4-1.symbols,
    debian/rules:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Aug 2010 15:52:18 +0200

libsoup2.4 (2.31.6-0ubuntu2) maverick; urgency=low

  * Rebuild for the current gobject introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 22:57:01 +0200

libsoup2.4 (2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Set Vcs-Bzr link
    - Use standards version 3.9.1

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Aug 2010 11:30:15 +1000

libsoup2.4 (2.31.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in,
      debian/libsoup2.4-dev.install,
      debian/libsoup-gnome2.4-dev.install,
      debian/gir1.0-soup-2.4.install:
      - Add GObject-Introspection support.
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 21:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
                dpkg-dev (>= 1.13.19),
                cdbs,
@@ -20,12 +21,15 @@
                libsqlite3-dev,
                libxml2-dev,
                gtk-doc-tools,
-               shared-mime-info
+               shared-mime-info,
+               libgirepository1.0-dev (>= 0.6.7),
+               gobject-introspection (>= 0.6.7),
+               gir-repository-dev,
+               gir1.0-glib-2.0
 Build-Depends-Indep: libglib2.0-doc
 Build-Conflicts: libgnutls11-dev
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
-Standards-Version: 3.8.4
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libsoup/ubuntu
+Standards-Version: 3.9.1
 
 Package: libsoup2.4-dev
 Architecture: any
@@ -37,6 +41,7 @@
          libgnutls-dev (>= 2.1.7)
 Conflicts: libgnutls11-dev
 Suggests: libsoup2.4-doc
+Replaces: gir-repository-dev (<< 0.6.5-7)
 Description: an HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -152,6 +157,7 @@
          libsoup-gnome2.4-1 (= ${binary:Version}),
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
+Replaces: gir-repository-dev (<< 0.6.5-7)
 Description: an HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -205,3 +211,23 @@
   * Basic client-side SOAP and XML-RPC support
  .
  This package contains the documentation.
+
+Package: gir1.0-soup-2.4
+Section: libs
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: gir1.0-soup-gnome-2.4
+Description: GObject introspection data for the libsoup HTTP library
+ This package contains introspection data for the libsoup HTTP library.
+ .
+ libsoup uses the Glib main loop and is designed to work well with GTK+
+ applications.  This enables GNOME applications to access HTTP servers
+ on the network in a completely asynchronous fashion, very similar to
+ the GTK+ programming model (a synchronous operation mode is also
+ supported for those who want it).
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 libsoup2.4-N := $(shell sed -nr 's/^Package:[[:space:]]*(libsoup2.4-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 libsoup-gnome2.4-N := $(shell sed -nr 's/^Package:[[:space:]]*(libsoup-gnome2.4-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
-SHVER := 2.30.1
+SHVER := 2.31.90
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 GNOME_MODULE := libsoup

## libsoup2.4 2.34.0

=== debian/changelog ===
libsoup2.4 (2.34.0-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Apr 2011 12:57:51 +1000

libsoup2.4 (2.33.92-1) experimental; urgency=low

  * New upstream release.
    + debian/libsoup2.4-1.symbols:
      - Updated.
    + debian/control.in:
      - Update dependencies and build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 09:41:34 +0000

libsoup2.4 (2.33.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in,
      debian/rules:
      - Let CDBS call dh_girepository for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:43:06 +0000

libsoup2.4 (2.33.6-1) experimental; urgency=low

  * debian/control.in:
    + Let libsoup2.4-dev replace gir-repository-dev without a version.
      We don't want to drop libsoup bindings from girepository until
      Squeeze is released, and the version is useless until we do that.
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:05:09 +0000

libsoup2.4 (2.33.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jan 2011 00:11:22 +0000

libsoup2.4 (2.33.4-1) experimental; urgency=low

  * debian/control.in:
    - Remove gir-repository-dev build dependency, no longer needed.
    - Standards-Version is 3.9.1, no changes needed.
  * New upstream development release.
    + debian/control.in:
      - Build-depend/Depend on glib-networking.
      - Stop build depending on libgnutls, we use glib-networking now.
    + debian/rules:
      - Make the shlibs always depend on the latest upstream version.
        We have symbols file anyway, and manually bumping the shver is
        error prone.
    + debian/libsoup2.4-1.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jan 2011 02:25:28 +0000

libsoup2.4 (2.32.2-1) experimental; urgency=low

  * New upstream release.
    - debian/libsoup2.4-0.symbols:
      + Updated.
    - debian/rules:
      + Update the shver.
  * Update to the new gir policy:
    - Rename gir1.0-soup-2.4 to gir1.2-soup-2.4.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/rules:
    - Call dh_girepository to get proper dependencies on the
      gir package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 16:26:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,24 @@
 Source: libsoup2.4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: David Weinehall <tao@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
-               dpkg-dev (>= 1.13.19),
-               cdbs,
+               cdbs (>= 0.4.90),
                gnome-pkg-tools,
-               libgconf2-dev,
-               libglib2.0-dev (>= 2.21.3),
+               libglib2.0-dev (>= 2.27.5),
+               glib-networking (>= 2.28.4),
                libgnome-keyring-dev,
-               libgnutls-dev (>= 2.1.7),
-               libproxy-dev,
                libsqlite3-dev,
                libxml2-dev,
                gtk-doc-tools,
                shared-mime-info,
-               libgirepository1.0-dev (>= 0.6.7),
-               gobject-introspection (>= 0.6.7),
-               gir-repository-dev,
-               gir1.0-glib-2.0
+               libgirepository1.0-dev (>= 0.9.5),
+               gobject-introspection (>= 0.9.12-4~),
+               gir1.2-glib-2.0
 Build-Depends-Indep: libglib2.0-doc
-Build-Conflicts: libgnutls11-dev
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libsoup/ubuntu
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
 Standards-Version: 3.9.1
 
 Package: libsoup2.4-dev
@@ -36,12 +31,10 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.21.3),
-         libxml2-dev,
-         libgnutls-dev (>= 2.1.7)
-Conflicts: libgnutls11-dev
+         libglib2.0-dev (>= 2.27.5),
+         libxml2-dev
 Suggests: libsoup2.4-doc
-Replaces: gir-repository-dev (<< 0.6.5-7)
+Replaces: gir-repository-dev
 Description: an HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -68,7 +61,8 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         glib-networking (>= 2.28.4)
 Description: an HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
@@ -212,13 +206,15 @@
  .
  This package contains the documentation.
 
-Package: gir1.0-soup-2.4
+Package: gir1.2-soup-2.4
 Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Provides: gir1.0-soup-gnome-2.4
+Provides: gir1.2-soup-gnome-2.4
+Conflicts: gir1.0-soup-2.4,
+           gir1.0-soup-gnome-2.4
 Description: GObject introspection data for the libsoup HTTP library
  This package contains introspection data for the libsoup HTTP library.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libsoup

DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
DEB_MAKE_CHECK_TARGET = check

## libsoup2.4 2.34.3

=== debian/changelog ===
libsoup2.4 (2.34.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2011-2524: SoupServer directory traversal vulnerability.
      Closes: #635837
  * debian/watch: Switch to .bz2 tarballs.
  * debian/patches/01_memleaks.patch: Remove, merged upstream.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jul 2011 03:44:00 +0200

libsoup2.4 (2.34.2-2) unstable; urgency=low

  * 01_memleaks.patch: stolen from upstream git. Fix a few memory leaks.
  * 02_tls.patch: new patch. Stop forcing SSLv3, which breaks websites 
    that properly support TLS only. This still breaks a few websites, 
    but at least paypal has been fixed to support TLS. Closes: #579429.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Jun 2011 17:23:27 +0200

libsoup2.4 (2.34.2-1) unstable; urgency=low

  * New upstream release.
  * debian/libsoup2.4-1.symbols: Add new symbol from this upstream release.
  * debian/control.in: Update Vcs-* fields, package/branch is for unstable
    now.
  * debian/watch: Fix syntax to actually catch the latest version.

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 May 2011 17:27:24 +0200

libsoup2.4 (2.34.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Andreas Henriksson ]
  * New upstream release.
  * Fix multiple lintian warnings on description-synopsis-starts-with-article
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 12:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 5),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.27.5),
@@ -22,20 +22,21 @@
                gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0
 Build-Depends-Indep: libglib2.0-doc
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/libsoup2.4
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/libsoup2.4
-Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libsoup2.4
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libsoup2.4
+Standards-Version: 3.9.2
 
 Package: libsoup2.4-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
          libsoup2.4-1 (= ${binary:Version}),
+         gir1.2-soup-2.4 (= ${binary:Version}),
          libglib2.0-dev (>= 2.27.5),
          libxml2-dev
 Suggests: libsoup2.4-doc
 Replaces: gir-repository-dev
-Description: an HTTP library implementation in C -- Development files
+Description: HTTP library implementation in C -- Development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -63,7 +64,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          glib-networking (>= 2.28.4)
-Description: an HTTP library implementation in C -- Shared library
+Description: HTTP library implementation in C -- Shared library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -91,7 +92,7 @@
 Architecture: any
 Depends: libsoup2.4-1 (= ${binary:Version}),
          ${misc:Depends}
-Description: an HTTP library implementation in C -- debugging symbols
+Description: HTTP library implementation in C -- debugging symbols
  It was originally part of a SOAP (Simple Object Access Protocol).
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -118,7 +119,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: an HTTP library implementation in C -- GNOME support library
+Description: HTTP library implementation in C -- GNOME support library
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -152,7 +153,7 @@
          libsoup2.4-dev (= ${binary:Version})
 Suggests: libsoup2.4-doc
 Replaces: gir-repository-dev (<< 0.6.5-7)
-Description: an HTTP library implementation in C -- GNOME support development files
+Description: HTTP library implementation in C -- GNOME support development files
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.
@@ -184,7 +185,7 @@
 Depends: ${misc:Depends}
 Suggests: libsoup2.4-dev
 Replaces: libsoup2.2-doc (<< 2.2.105)
-Description: an HTTP library implementation in C -- API Reference
+Description: HTTP library implementation in C -- API Reference
  It was originally part of a SOAP (Simple Object Access Protocol)
  implementation called Soup, but the SOAP and non-SOAP parts have now been
  split into separate packages.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libsoup/([\d\.]+[02468])/ libsoup-(.*)\.tar\.bz2
